当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 26 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : 内核无法升级也无法重装(已解决,谢谢朋友们)
帖子发表于 : 2009-05-19 7:40 

注册: 2009-04-29 21:22
帖子: 1081
送出感谢: 3
接收感谢: 1
内核无法升级也无法重装

先是发现用apt-get dist-upgrade命令 不能升级内核。后是发现用apt-get --reinstall install命令不能重装内核。命令详细结果如下:

# apt-get dist-upgrade
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
正在筹划升级... 完成
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 6 个软件包没有被完全安装或卸载。
解压缩后会消耗掉 0B 的额外空间。
您希望继续执行吗?[Y/n]y
正在设置 linux-image-2.6.28-11-generic (2.6.28-11.42) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.28-11-generic
Not updating initrd symbolic links since we are being updated/reinstalled
(2.6.28-11.42 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(2.6.28-11.42 was configured last, according to dpkg)
Running postinst hook script /sbin/update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.28-12-generic
Found kernel: /boot/vmlinuz-2.6.28-11-generic
Found kernel: /boot/memtest86+.bin
Updating /boot/grub/menu.lst ... /usr/sbin/update-grub: line 1516: /boot/grub/menu.lst: Permission denied
User postinst hook script [/sbin/update-grub] exited with value 1
dpkg:处理 linux-image-2.6.28-11-generic (--configure)时出错:
子进程 post-installation script 返回了错误号 1
正在设置 linux-image-2.6.28-12-generic (2.6.28-12.43) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.28-12-generic
Running postinst hook script /sbin/update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.28-12-generic
Found kernel: /boot/vmlinuz-2.6.28-11-generic
Found kernel: /boot/memtest86+.bin
Updating /boot/grub/menu.lst ... /usr/sbin/update-grub: line 1516: /boot/grub/menu.lst: Permission denied
User postinst hook script [/sbin/update-grub] exited with value 1
dpkg:处理 linux-image-2.6.28-12-generic (--configure)时出错:
子进程 post-installation script 返回了错误号 1
dpkg:依赖关系问题使得 linux-restricted-modules-2.6.28-12-generic 的配置工作不能继续:
linux-restricted-modules-2.6.28-12-generic 依赖于 linux-image-2.6.28-12-generic;然而:
软件包 linux-image-2.6.28-12-generic 还没有被配置。
dpkg:处理 linux-restricted-modules-2.6.28-12-generic (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 linux-image-generic 的配置工作不能继续:
linux-image-generic 依赖于 linux-image-2.6.28-12-generic;然而:
软件包 linux-image-2.6.28-12-generic 还没有被配置。
dpkg:处理 linux-image-generic (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 linux-restricted-modules-generic 的配置工作不能继续:
linux-restricted-modules-generic 依赖于 linux-restricted-modules-2.6.28-12-geneNo apport report written because the error message indicates its a followup error from a previous failure.
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
ric;然而:
软件包 linux-restricted-modules-2.6.28-12-generic 还没有被配置。
dpkg:处理 linux-restricted-modules-generic (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 linux-generic 的配置工作不能继续:
linux-generic 依赖于 linux-image-generic (= 2.6.28.12.16);然而:
软件包 linux-image-generic 还没有被配置。
linux-generic 依赖于 linux-restricted-modules-generic (= 2.6.28.12.16);然而:
软件包 linux-restricted-modules-generic 还没有被配置。
dpkg:处理 linux-generic (--configure)时出错:
依赖关系问题 - 仍未被配置
在处理时有错误发生:
linux-image-2.6.28-11-generic
linux-image-2.6.28-12-generic
linux-restricted-modules-2.6.28-12-generic
linux-image-generic
linux-restricted-modules-generic
linux-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)



# sudo apt-get --reinstall install linux-image-2.6.28-11-generic
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
共升级了 0 个软件包,新安装了 0 个软件包,共重新安装了 1 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 6 个软件包没有被完全安装或卸载。
解压缩后会消耗掉 0B 的额外空间。
您希望继续执行吗?[Y/n]y
正在设置 linux-image-2.6.28-11-generic (2.6.28-11.42) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.28-11-generic
Not updating initrd symbolic links since we are being updated/reinstalled
(2.6.28-11.42 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(2.6.28-11.42 was configured last, according to dpkg)
Running postinst hook script /sbin/update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.28-12-generic
Found kernel: /boot/vmlinuz-2.6.28-11-generic
Found kernel: /boot/memtest86+.bin
Updating /boot/grub/menu.lst ... /usr/sbin/update-grub: line 1516: /boot/grub/menu.lst: Permission denied
User postinst hook script [/sbin/update-grub] exited with value 1
dpkg:处理 linux-image-2.6.28-11-generic (--configure)时出错:
子进程 post-installation script 返回了错误号 1
正在设置 linux-image-2.6.28-12-generic (2.6.28-12.43) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.28-12-generic
Running postinst hook script /sbin/update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.28-12-generic
Found kernel: /boot/vmlinuz-2.6.28-11-generic
Found kernel: /boot/memtest86+.bin
Updating /boot/grub/menu.lst ... /usr/sbin/update-grub: line 1516: /boot/grub/menu.lst: Permission denied
User postinst hook script [/sbin/update-grub] exited with value 1
dpkg:处理 linux-image-2.6.28-12-generic (--configure)时出错:
子进程 post-installation script 返回了错误号 1
dpkg:依赖关系问题使得 linux-restricted-modules-2.6.28-12-generic 的配置工作不能继续:
linux-restricted-modules-2.6.28-12-generic 依赖于 linux-image-2.6.28-12-generic;然而:
软件包 linux-image-2.6.28-12-generic 还没有被配置。
dpkg:处理 linux-restricted-modules-2.6.28-12-generic (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 linux-image-generic 的配置工作不能继续:
linux-image-generic 依赖于 linux-image-2.6.28-12-generic;然而:
软件包 linux-image-2.6.28-12-generic 还没有被配置。
dpkg:处理 linux-image-generic (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 linux-restricted-modules-generic 的配置工作不能继续:
linux-restricteNo apport report written because the error message indicates its a followup error from a previous failure.
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
d-modules-generic 依赖于 linux-restricted-modules-2.6.28-12-generic;然而:
软件包 linux-restricted-modules-2.6.28-12-generic 还没有被配置。
dpkg:处理 linux-restricted-modules-generic (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 linux-generic 的配置工作不能继续:
linux-generic 依赖于 linux-image-generic (= 2.6.28.12.16);然而:
软件包 linux-image-generic 还没有被配置。
linux-generic 依赖于 linux-restricted-modules-generic (= 2.6.28.12.16);然而:
软件包 linux-restricted-modules-generic 还没有被配置。
dpkg:处理 linux-generic (--configure)时出错:
依赖关系问题 - 仍未被配置
在处理时有错误发生:
linux-image-2.6.28-11-generic
linux-image-2.6.28-12-generic
linux-restricted-modules-2.6.28-12-generic
linux-image-generic
linux-restricted-modules-generic
linux-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)


最后由 人在井天 编辑于 2009-05-19 18:00,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 : Re: 内核无法升级也无法重装
帖子发表于 : 2009-05-19 13:11 

注册: 2009-04-29 21:22
帖子: 1081
送出感谢: 3
接收感谢: 1
除了重装就没有别的解决办法了?


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 内核无法升级也无法重装
帖子发表于 : 2009-05-19 13:13 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
能用就不理他,没事就试试
代码:
sudo apt-get install -f
这个不升级也罢


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 内核无法升级也无法重装
帖子发表于 : 2009-05-19 14:11 

注册: 2009-04-29 21:22
帖子: 1081
送出感谢: 3
接收感谢: 1
leeaman 写道:
能用就不理他,没事就试试
代码:
sudo apt-get install -f
这个不升级也罢


这个命令 早就试了的。并且还试过apt-get check
都没有用。
到现在为止,还并不影响使用。
看来,得从中吸取一个教训.apt-get dist-upgrade命令要慎用.


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 内核无法升级也无法重装
帖子发表于 : 2009-05-19 14:29 
头像

注册: 2007-10-23 12:54
帖子: 1689
送出感谢: 0 次
接收感谢: 13
显然 apt-get dist-upgrade 是一个安全的命令,不需要什么慎用。需要学习的是一点点英语和错误日志的阅读,关键是 Permission denied 这个错误。


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 内核无法升级也无法重装
帖子发表于 : 2009-05-19 15:16 

注册: 2009-04-29 21:22
帖子: 1081
送出感谢: 3
接收感谢: 1
AutoXBC 写道:
显然 apt-get dist-upgrade 是一个安全的命令,不需要什么慎用。需要学习的是一点点英语和错误日志的阅读,关键是 Permission denied 这个错误。



能说得更明白些吗?这个翻译后好象是许可被拒绝。能给出一个可执行的意见吗?


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 内核无法升级也无法重装
帖子发表于 : 2009-05-19 15:18 
头像

注册: 2007-10-24 20:20
帖子: 1565
地址: 北京、海淀
送出感谢: 0 次
接收感谢: 1
楼主是执行apt-get dist-upgrade

不是
sudo apt-get dist-upgrade


_________________
Dell Vostro 1500, T7300/4GB/WD5000BEVT/nVidia 8400GM, Ubuntu 10.04 x86_64/VMware 7(Win7)
我的博客:http://xieshaohu.wordpress.com/


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 内核无法升级也无法重装
帖子发表于 : 2009-05-19 15:27 

注册: 2009-04-29 21:22
帖子: 1081
送出感谢: 3
接收感谢: 1
我查了一下,发现我曾经把/boot/grup/menu.lst这个文件用chattr命令 设置了i属性,但把这个属性更改后,问题 依旧。只是没有了这个Permission denied 错误而已。


命令 结果如下:

# apt-get --reinstall install linux-image-2.6.28-11-generic
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
共升级了 0 个软件包,新安装了 0 个软件包,共重新安装了 1 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 6 个软件包没有被完全安装或卸载。
解压缩后会消耗掉 0B 的额外空间。
您希望继续执行吗?[Y/n]y
正在设置 linux-image-2.6.28-11-generic (2.6.28-11.42) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.28-11-generic
Failed to symbolic-link boot/initrd.img-2.6.28-11-generic to initrd.img.
dpkg:处理 linux-image-2.6.28-11-generic (--configure)时出错:
子进程 post-installation script 返回了错误号 17
正在设置 linux-image-2.6.28-12-generic (2.6.28-12.43) ...
Internal Error: Could not find image (/boot/vmlinuz-2.6.28-12-generic)
dpkg:处理 linux-image-2.6.28-12-generic (--configure)时出错:
子进程 post-installation script 返回了错误号 2
dpkg:依赖关系问题使得 linux-restricted-modules-2.6.28-12-generic 的配置工作不能继续:
linux-restricted-modules-2.6.28-12-generic 依赖于 linux-image-2.6.28-12-generic;然而:
软件包 linux-image-2.6.28-12-generic 还没有被配置。
dpkg:处理 linux-restricted-modules-2.6.28-12-generic (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 linux-image-generic 的配置工作不能继续:
linux-image-generic 依赖于 linux-image-2.6.28-12-generic;然而:
软件包 linux-image-2.6.28-12-generic 还没有被配置。
dpkg:处理 linux-image-generic (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 linux-restricted-modules-generic 的配置工作不能继续:
linux-restricted-modules-generic 依赖于 linux-restricted-modules-2.6.28-12-generic;然而:
软件包 linux-restricted-modules-2.6.28-12-generic 还没有被配置。
dpkg:处理 linux-restricted-modNo apport report written because the error message indicates its a followup error from a previous failure.
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
ules-generic (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 linux-generic 的配置工作不能继续:
linux-generic 依赖于 linux-image-generic (= 2.6.28.12.16);然而:
软件包 linux-image-generic 还没有被配置。
linux-generic 依赖于 linux-restricted-modules-generic (= 2.6.28.12.16);然而:
软件包 linux-restricted-modules-generic 还没有被配置。
dpkg:处理 linux-generic (--configure)时出错:
依赖关系问题 - 仍未被配置
在处理时有错误发生:
linux-image-2.6.28-11-generic
linux-image-2.6.28-12-generic
linux-restricted-modules-2.6.28-12-generic
linux-image-generic
linux-restricted-modules-generic
linux-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 内核无法升级也无法重装
帖子发表于 : 2009-05-19 15:31 

注册: 2009-04-29 21:22
帖子: 1081
送出感谢: 3
接收感谢: 1
xieshaohu 写道:
楼主是执行apt-get dist-upgrade

不是
sudo apt-get dist-upgrade



与这个无关的。我是用root身份执行的。


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 内核无法升级也无法重装
帖子发表于 : 2009-05-19 15:37 
头像

注册: 2008-12-19 13:44
帖子: 2337
地址: 东8区
送出感谢: 0 次
接收感谢: 0 次
wubi的8.10?


_________________
代码:
 
       \   ,__,
        \  (oo)____
           (__)    )\
              ||--|| * 
 


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 内核无法升级也无法重装
帖子发表于 : 2009-05-19 16:00 

注册: 2009-04-29 21:22
帖子: 1081
送出感谢: 3
接收感谢: 1
pcbird 写道:
wubi的8.10?


不是。独立安装的64位9.04版。


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 内核无法升级也无法重装
帖子发表于 : 2009-05-19 16:04 
头像

注册: 2008-12-19 13:44
帖子: 2337
地址: 东8区
送出感谢: 0 次
接收感谢: 0 次
我的想法是:去ubuntu下载

linux-image-2.6.28-11-generic
linux-image-2.6.28-12-generic
linux-restricted-modules-2.6.28-12-generic
linux-image-generic
linux-restricted-modules-generic
linux-generic


全部安上


_________________
代码:
 
       \   ,__,
        \  (oo)____
           (__)    )\
              ||--|| * 
 


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 内核无法升级也无法重装
帖子发表于 : 2009-05-19 16:21 

注册: 2009-04-29 21:22
帖子: 1081
送出感谢: 3
接收感谢: 1
pcbird 写道:
我的想法是:去ubuntu下载

linux-image-2.6.28-11-generic
linux-image-2.6.28-12-generic
linux-restricted-modules-2.6.28-12-generic
linux-image-generic
linux-restricted-modules-generic
linux-generic


全部安上



手动下载?如何下法?下载地址?
另,用apt-get --reinstall install命令的时候,它是从源成功下载了的.手动下载未必就比从源下载好吧?


页首
 用户资料  
 
14 楼 
 文章标题 : Re: 内核无法升级也无法重装
帖子发表于 : 2009-05-19 16:26 
头像

注册: 2008-07-14 22:42
帖子: 8078
地址: Beijing
送出感谢: 0 次
接收感谢: 0 次
ls头像又改了 :em04


_________________
Ubuntu User


页首
 用户资料  
 
15 楼 
 文章标题 : Re: 内核无法升级也无法重装
帖子发表于 : 2009-05-19 16:26 
头像

注册: 2008-12-19 13:44
帖子: 2337
地址: 东8区
送出感谢: 0 次
接收感谢: 0 次
下载的话会在一个文件夹里面的。

cd /var/cache/apt/archives

sudo dpkg -i linux-*.deb

这个不行的话就没办法了


_________________
代码:
 
       \   ,__,
        \  (oo)____
           (__)    )\
              ||--|| * 
 


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 26 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译